lwIP 2.1.1 Lightweight IP stack

Functions
altcp.c File Reference
`#include "lwip/opt.h"`
`#include "lwip/altcp.h"`
`#include "lwip/priv/altcp_priv.h"`
`#include "lwip/altcp_tcp.h"`
`#include "lwip/tcp.h"`
`#include "lwip/mem.h"`
`#include <string.h>`

## Functions
struct altcp_pcb * | altcp_alloc (void)
void | altcp_free (struct altcp_pcb *conn)
struct altcp_pcb * | altcp_new_ip6 (altcp_allocator_t *allocator)
struct altcp_pcb * | altcp_new (altcp_allocator_t *allocator)
struct altcp_pcb * | altcp_new_ip_type (altcp_allocator_t *allocator, u8_t ip_type)
void | altcp_arg (struct altcp_pcb *conn, void *arg)
void | altcp_accept (struct altcp_pcb *conn, altcp_accept_fn accept)
void | altcp_recv (struct altcp_pcb *conn, altcp_recv_fn recv)
void | altcp_sent (struct altcp_pcb *conn, altcp_sent_fn sent)
void | altcp_poll (struct altcp_pcb *conn, altcp_poll_fn poll, u8_t interval)
void | altcp_err (struct altcp_pcb *conn, altcp_err_fn err)
void | altcp_recved (struct altcp_pcb *conn, u16_t len)
err_t | altcp_bind (struct altcp_pcb *conn, const ip_addr_t *ipaddr, u16_t port)
err_t | altcp_connect (struct altcp_pcb *conn, const ip_addr_t *ipaddr, u16_t port, altcp_connected_fn connected)
struct altcp_pcb * | altcp_listen_with_backlog_and_err (struct altcp_pcb *conn, u8_t backlog, err_t *err)
void | altcp_abort (struct altcp_pcb *conn)
err_t | altcp_close (struct altcp_pcb *conn)
err_t | altcp_shutdown (struct altcp_pcb *conn, int shut_rx, int shut_tx)
err_t | altcp_write (struct altcp_pcb *conn, const void *dataptr, u16_t len, u8_t apiflags)
err_t | altcp_output (struct altcp_pcb *conn)
u16_t | altcp_mss (struct altcp_pcb *conn)
u16_t | altcp_sndbuf (struct altcp_pcb *conn)
u16_t | altcp_sndqueuelen (struct altcp_pcb *conn)
void | altcp_setprio (struct altcp_pcb *conn, u8_t prio)

## Function Documentation

## ◆ altcp_alloc()

struct altcp_pcb* altcp_alloc | ( | void |  | ) |

For altcp layer implementations only: allocate a new struct altcp_pcb from the pool and zero the memory

## ◆ altcp_free()

void altcp_free | ( | struct altcp_pcb * | conn | ) |

For altcp layer implementations only: return a struct altcp_pcb to the pool